Loading...
Searching...
No Matches
resample_audio.c File Reference
`#include <libavutil/opt.h>`
`#include <libavutil/channel_layout.h>`
`#include <libavutil/samplefmt.h>`
`#include <libswresample/swresample.h>`

Go to the source code of this file.

## Functions

static int | get_format_from_sample_fmt (const char **fmt, enum AVSampleFormat sample_fmt)
static void | fill_samples (double *dst, int nb_samples, int nb_channels, int sample_rate, double *t)
| Fill dst buffer with nb_samples, generated starting from t.
int | main (int argc, char **argv)

## Function Documentation

## get_format_from_sample_fmt()

static int get_format_from_sample_fmt | ( | const char ** | fmt,
|  | enum AVSampleFormat | sample_fmt
| ) |  |

static

Definition at line 37 of file resample_audio.c.

## fill_samples()

static void fill_samples | ( | double * | dst,
|  | int | nb_samples,
|  | int | nb_channels,
|  | int | sample_rate,
|  | double * | t
| ) |  |

static

Fill dst buffer with nb_samples, generated starting from t.

Examples
  resample_audio.c.

Definition at line 69 of file resample_audio.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 85 of file resample_audio.c.